Change log for webdis package in Ubuntu

112 of 12 results
Published in hirsute-release on 2020-10-23
Published in groovy-release on 2020-05-01
Deleted in groovy-proposed (Reason: moved to Release)
webdis (0.1.9+dfsg-1) unstable; urgency=medium

  * d/copyright: acknowledge upstream files relocation
  * New upstream version 0.1.9+dfsg
  * Refresh patches
  * Update include locations
  * d/copyright: fix whitespace
  * d/test.sh: fix whitespace
  * d/webdis.service: do not fail on mkdir (Closes: #940558) Thanks to
    Emmanuel Benoît
  * d/control: bump Standards-Version to 4.5.0 (no changes)

 -- Andrii Senkovych <email address hidden>  Thu, 23 Apr 2020 02:04:04 +0300
Superseded in groovy-proposed on 2020-04-27
webdis (0.1.4+dfsg-2) unstable; urgency=medium

  * Post unittests to python3; Closes: #943271, #951624

 -- Sandro Tosi <email address hidden>  Fri, 10 Apr 2020 02:40:29 -0400
Superseded in groovy-release on 2020-05-01
Published in focal-release on 2019-10-24
Deleted in focal-proposed (Reason: moved to Release)
webdis (0.1.4+dfsg-1build2) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <email address hidden>  Sat, 19 Oct 2019 19:58:57 +0000
Superseded in focal-release on 2019-10-24
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed (Reason: moved to release)
webdis (0.1.4+dfsg-1build1) disco; urgency=medium

  * No-change rebuild against libhiredis0.14

 -- Steve Langasek <email address hidden>  Mon, 12 Nov 2018 08:49:41 +0000
Superseded in disco-proposed on 2018-11-12
webdis (0.1.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.4+dfsg
  * d/control, d/copyright: update maintainers email and proper name spelling.
  * Raise compat level to 11.
  * d/control: remove explicit *-dbg package definition.
  * d/control: bump Standards-Version to 4.2.0.
  * d/control: update Vcs-* fields to point to salsa.d.o.
  * d/control: add Rules-Requires-Root header set to no.
  * d/control: add direct build dependency on pkg-config.
  * d/webdis.install: no need to explicitly install webdis binary.
  * d/rules: remove DESTDIR and CONFDIR vars setup by hand.
  * d/rules: avoid installing webdis.prod.json from upstream.
  * d/control, d/rules: remove trailing whitespace.
  * d/control: remote unnecessary Testsuite header.
  * d/copyright: use https protocol.
  * Add systemd service configuration.
  * d/patches/fix-test-new-libevent.patch: fix pubsub test when compiled w/
    libevent 2.1.x. (Closes: #869951, #901555)
  * d/rules: use /usr/share/dpkg/buildflags.mk to populate build flags.
  * Fix lintian typo check

 -- Andrii Senkovych <email address hidden>  Sun, 26 Aug 2018 15:30:36 +0300
Deleted in artful-proposed on 2017-08-30 (Reason: FTBFS with libevent 2.1, removed from Debian testing; Deb...)
webdis (0.1.2+dfsg-2build1) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <email address hidden>  Mon, 31 Jul 2017 02:55:55 +0000
Deleted in artful-release on 2018-06-22 (Reason: broken with new libevent; temporarily remove to allow tra...)
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
webdis (0.1.2+dfsg-2) unstable; urgency=medium

  * Update testsuite variable names. Fixup to sockstat
  * Remove dependency on netstat or sockstat to run the tests

 -- Andriy Senkovych <email address hidden>  Thu, 17 Nov 2016 00:46:01 +0200

Available diffs

Superseded in zesty-release on 2016-12-18
Deleted in zesty-proposed on 2016-12-20 (Reason: moved to release)
webdis (0.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.2+dfsg
  * Move repository to collab-maint on alioth
  * Repack upstream tarball to remove hiredis, jansson and b64 copies
  * Drop copyright notices for removed libraries
  * Update Standards-Version to 3.9.8. No changes required
  * Raise compat level to 10
  * Add explicit dependency on lsb-base
  * Enable all hardening features during build

 -- Andriy Senkovych <email address hidden>  Thu, 10 Nov 2016 01:36:21 +0200

Available diffs

Superseded in zesty-release on 2016-11-14
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
webdis (0.1.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with recent msgpack-c versions.  (Closes: #811343)
    + Use pkg-config to determine CFLAGS/LDFLAGS
      - Search for msgpackc library in both MA and non-MA directories to ease
        backports
    + Use different APIs for the RAW type, based on the version of msgpack-c

 -- James McCoy <email address hidden>  Thu, 21 Jul 2016 23:43:34 -0400

Available diffs

Superseded in yakkety-release on 2016-07-22
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
webdis (0.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove embedded code copies (hiredis, jansson) in the clean target
    to make sure not to use them; this notably fixes the FTBFS during
    the libhiredis0.10 → libhiredis0.13 transition (Closes: #785476).

 -- Cyril Brulebois <email address hidden>  Tue, 14 Jul 2015 18:32:13 +0200

Available diffs

Superseded in wily-release on 2015-08-06
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
webdis (0.1.1-2) unstable; urgency=medium


  * Use correct license names in debian/copyright
  * Document hiredis and jansson libraries
  * Add autopkgtest support
  * Update Standards-Version to 3.9.6. No changes required

 -- Andriy Senkovych <email address hidden>  Fri, 24 Oct 2014 22:48:16 +0300

Available diffs

Superseded in vivid-release on 2014-10-26
Deleted in vivid-proposed on 2014-10-27 (Reason: moved to release)
webdis (0.1.1-1) unstable; urgency=low


  * Initial release (Closes: #623528)

 -- Andriy Senkovych <email address hidden>  Mon, 04 Aug 2014 02:10:55 +0300
112 of 12 results